org.springframework.cloud.dataflow.shell.command

## Class JobCommands

- java.lang.Object
- - org.springframework.cloud.dataflow.shell.command.JobCommands

- All Implemented Interfaces:
    org.springframework.shell.core.CommandMarker

      @Component
      public class JobCommands
      extends Object
      implements org.springframework.shell.core.CommandMarker

  Job commands for the SCDF Shell.
  Author:
    Glenn Renfro, Ilayaperumal Gopinathan, Gunnar Hillert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobCommands()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `availableWithViewRole()`
    `Table` | `executionDisplay(long id)`
    `Table` | `executionList(String name)`
    `String` | `executionRestart(long id)`
    `Table` | `instanceDisplay(long id)`
    `Table` | `stepExecutionDisplay(long id, long jobExecutionId)`
    `Table` | `stepExecutionList(long id)`
    `Table` | `stepProgressDisplay(long id, long jobExecutionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobCommands

          public JobCommands()

  - ### Method Detail

    - #### availableWithViewRole

          @CliAvailabilityIndicator(value={"job execution display","job execution list","job execution restart","job execution step list","job instance display","job execution step progress","job execution step display"})
          public boolean availableWithViewRole()

    - #### executionList

          @CliCommand(value="job execution list",
                      help="List created job executions filtered by jobName")
          public Table executionList(@CliOption(key="name",help="the job name to be used as a filter",mandatory=false)
                                                                                                                                                 String name)

    - #### executionRestart

          @CliCommand(value="job execution restart",
                      help="Restart a failed job by jobExecutionId")
          public String executionRestart(@CliOption(key="id",help="the job execution id",mandatory=true)
                                                                                                                                               long id)

    - #### executionDisplay

          @CliCommand(value="job execution display",
                      help="Display the details of a specific job execution")
          public Table executionDisplay(@CliOption(key="id",help="the job execution id",mandatory=true)
                                                                                                                                                       long id)

    - #### instanceDisplay

          @CliCommand(value="job instance display",
                      help="Display the job executions for a specific job instance.")
          public Table instanceDisplay(@CliOption(key="id",help="the job instance id",mandatory=true)
                                                                                                                                                             long id)

    - #### stepExecutionList

          @CliCommand(value="job execution step list",
                      help="List step executions filtered by jobExecutionId")
          public Table stepExecutionList(@CliOption(key="id",help="the job execution id to be used as a filter",mandatory=true)
                                                                                                                                                          long id)

    - #### stepProgressDisplay

          @CliCommand(value="job execution step progress",
                      help="Display the details of a specific step progress")
          public Table stepProgressDisplay(@CliOption(key="id",help="the step execution id",mandatory=true)
                                                                                                                                                                long id,
                                                                                                                                                                @CliOption(key="jobExecutionId",help="the job execution id",mandatory=true)
                                                                                                                                                                long jobExecutionId)

    - #### stepExecutionDisplay

          @CliCommand(value="job execution step display",
                      help="Display the details of a specific step execution")
          public Table stepExecutionDisplay(@CliOption(key="id",help="the step execution id",mandatory=true)
                                                                                                                                                                 long id,
                                                                                                                                                                 @CliOption(key="jobExecutionId",help="the job execution id",mandatory=true)
                                                                                                                                                                 long jobExecutionId)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.